function [ acc_all, acc_active ] = get_accuracy( X, y_hat, y, d_sig )
%%

n_test = size(X,1);

is_active = any(X(:,1:d_sig)~=0, 2);
acc_all = 1 - sum(abs(y_hat-y)) / n_test;
acc_active = 1 - sum(abs(y_hat(is_active)-y(is_active))) / sum(is_active);

end

