function [ beta_hat ] = logistic_additive_approx( X, y, sigma )
%%

[n,d] = size(X);

objective = @(beta) logistic_additive_approx_loss( beta, X, y, sigma );

options = optimoptions('fminunc','MaxFunEvals',inf,'GradObj','on'); % indicate gradient is provided 
beta_hat = fminunc(objective,randn(d,1),options);


% p = 1 ./ (1 + exp(-X*beta));

% l = sum(y.*log(p) + (1-y).*log(1-p));

% [f,g] = evalGlmLikelihood(y,X,beta,zeros(n,1),'binomlogit',1,1);

% penalty = f + 0.5 .* sigma^2 .* beta'*beta + sum(p .* (1 - p));


% Rq = @(sigma,beta) 0.5*sigma^2*beta'*beta*...
%      sum(exp(-X*beta)./(1+exp(-X*beta)).^2);

% grad_Rq = 0.5*sigma^2*beta'*beta*X'*exp(-X*beta)./(1+exp(-X*beta)).^2 ...
%           + sigma^2*beta*sum(exp(-X*beta)./(1+exp(-X*beta)).^2);

% beta = zeros(d,1);
% converged = 0;
% while ~converged
%   [f,g] = evalGlmLikelihood(y,X,beta,zeros(n,1),'binomlogit',1,1);

%   grad_Rq = 0.5*sigma^2*beta'*beta*X'*exp(-X*beta)./(1+exp(-X*beta)).^2 ...
%           + sigma^2*beta*sum(exp(-X*beta)./(1+exp(-X*beta)).^2);

%   gradient = g + grad_Rq;
%   beta_hat = beta - alpha*gradient;
%   if norm(beta-beta_hat) < epsilon
    
  
end

