function [ beta_hats ] = logistic_l2(  X, y, lambdas  )
%%
% beta_hats = zeros(size(X,2),numel(lambdas));
% for l = 1:numel(lambdas);
%     qf = lambdas(l)*eye(size(X,2));
%     results = glmfitqp(double(y),X,qf);
%     beta_hats(:,l) = results.w;
% end
% 
if numel(lambdas) > 1
    options.alpha = 0;
    options.lambda = lambdas;
    result = cvglmnet(X,y,'binomial',options);
    % cvglmnetPlot(result)
    beta_hats = result.glmnet_fit.beta;
else
    options.alpha = 0;
    options.lambda = lambdas;
    result = glmnet(X,y,'binomial',options);
    beta_hats = result.beta;
    % result = glmfitqp(double(y),X,lambdas*eye(size(X,2)));
    % beta_hats = result.w;
end
end

